package com.hzya.frame.sys.receiptConf.entity;

import java.util.Date;

import com.hzya.frame.sys.voucher.entity.VoucherEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 单据配置  entity
 * @tableName: sys_receipt_conf
 * @entityName: ReceiptConfEntity
 * @author: gjh
 * @history: 1.0
 */
public class ReceiptConfEntity extends BaseEntity {

    /**
     * 单据类型
     */
    private String receipt_type;
    /**
     * 单据编码
     */
    private String receipt_code;
    /**
     * 凭证类别字
     */
    private String proof_class_word;
    /**
     * 借方科目
     */
    private String debit_account;
    /**
     * 借方科目名称
     */
    private String debit_account_name;
    /**
     * 贷方科目
     */
    private String credit_account;
    /**
     * 贷方科目名称
     */
    private String credit_account_name;
    /**
     * 账套号
     */
    private String sob_no;
    /**
     * 传递设置状态
     */
    private String transfer_setting_state;
    /**
     * 传递规则设置
     */
    private String transfer_rule_set;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 组织机构ID
     */
    private String org_id;
    private List<VoucherEntity> voucherEntities;

    public List<VoucherEntity> getVoucherEntities() {
        return voucherEntities;
    }

    public void setVoucherEntities(List<VoucherEntity> voucherEntities) {
        this.voucherEntities = voucherEntities;
    }

    /**
     * 单据类型
     */
    public void setReceipt_type(String receipt_type) {
        this.receipt_type = receipt_type;
    }

    /**
     * 单据类型
     */
    public String getReceipt_type() {
        return receipt_type;
    }


    /**
     * 单据编码
     */
    public void setReceipt_code(String receipt_code) {
        this.receipt_code = receipt_code;
    }

    /**
     * 单据编码
     */
    public String getReceipt_code() {
        return receipt_code;
    }


    /**
     * 凭证类别字
     */
    public void setProof_class_word(String proof_class_word) {
        this.proof_class_word = proof_class_word;
    }

    /**
     * 凭证类别字
     */
    public String getProof_class_word() {
        return proof_class_word;
    }


    /**
     * 借方科目
     */
    public void setDebit_account(String debit_account) {
        this.debit_account = debit_account;
    }

    /**
     * 借方科目
     */
    public String getDebit_account() {
        return debit_account;
    }


    /**
     * 借方科目名称
     */
    public void setDebit_account_name(String debit_account_name) {
        this.debit_account_name = debit_account_name;
    }

    /**
     * 借方科目名称
     */
    public String getDebit_account_name() {
        return debit_account_name;
    }


    /**
     * 贷方科目
     */
    public void setCredit_account(String credit_account) {
        this.credit_account = credit_account;
    }

    /**
     * 贷方科目
     */
    public String getCredit_account() {
        return credit_account;
    }


    /**
     * 贷方科目名称
     */
    public void setCredit_account_name(String credit_account_name) {
        this.credit_account_name = credit_account_name;
    }

    /**
     * 贷方科目名称
     */
    public String getCredit_account_name() {
        return credit_account_name;
    }


    /**
     * 账套号
     */
    public void setSob_no(String sob_no) {
        this.sob_no = sob_no;
    }

    /**
     * 账套号
     */
    public String getSob_no() {
        return sob_no;
    }


    /**
     * 传递设置状态
     */
    public void setTransfer_setting_state(String transfer_setting_state) {
        this.transfer_setting_state = transfer_setting_state;
    }

    /**
     * 传递设置状态
     */
    public String getTransfer_setting_state() {
        return transfer_setting_state;
    }


    /**
     * 传递规则设置
     */
    public void setTransfer_rule_set(String transfer_rule_set) {
        this.transfer_rule_set = transfer_rule_set;
    }

    /**
     * 传递规则设置
     */
    public String getTransfer_rule_set() {
        return transfer_rule_set;
    }


    /**
     * 排序
     */
    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    /**
     * 排序
     */
    public Long getSorts() {
        return sorts;
    }


    /**
     * 组织机构ID
     */
    @Override
    public void setOrg_id(String org_id) {
        this.org_id = org_id;
    }

    /**
     * 组织机构ID
     */
    @Override
    public String getOrg_id() {
        return org_id;
    }


}
